# borgocli (borgbackup golang command line interface)
A little binary to help with borgbackup.

## Install

Install this with go get:

```
go get git.jcg.re/jcgruenhage/borgocli
```

## Commands
### borgocli generate authorized_keys

This generates an authorized_keys file out of a json file describing the allowed hosts, to be used with
[borg serve](https://borgbackup.readthedocs.io/en/stable/usage.html#borg-serve).

**Usage**:
```
borgocli generate authorized_keys path/to/hosts.json >> ~/.ssh/authorized_keys
```

If you want to overwrite your existing authorized_keys file, replace >> with >. For an example of the json file, see  [example.json](https://git.jcg.re/jcgruenhage/borgocli/src/master/generate/authorized_keys/example.json).


### borgocli generate folders

This creates the folders that are used by the authorized_keys file generated with the command above. It takes the same json file as above.

**Usage**:
```
borgocli generate folder path/to/hosts.json
```



This is everything for now, but I hope to extend that later. This might get some functionality only useful to my docker images, since that is what I am writing this for.
