package config

type Config struct {
	Data      Data
	Retention Retention
}

type Data struct {
	SourceDirectories []string
	Excludes          []string
	Repository        string
	Compression       string
	ChunkerParameters string
	Hostname          string
	Passphrase        string
}

type Retention struct {
	Within  string
	Hourly  int
	Daily   int
	Weekly  int
	Monthly int
	Yearly  int
}
